libretools - Bug #627

Package libredbdiff configuration files
2014-12-21 06:52 PM - alfplayer

Status: fixed % Done: 100%
Priority: feature

Assignee: lukeshu

Category:

Description

To simplify greatly libredbdiff, the code to install these configuration files can be removed:

pacman.conf.parabola
pacman.conf.archlinux
mirrorlist.parabola
mirrorlist.archlinux

Libredbdiff installs these to /etc/libredbdiff/ by default. Libretools can package these files there or in another directory.

Latest version of libredbdiff:

https://projects.parabola.nu/packages/libretools.git/tree/src/abslibre-tools/libredbdiff ?id=575768d7c68fbbc674505ee0d56aac3cdddOf
247

Proposed version of libredbdiff, equal to the current version minus configuration files initialization:

http:/ix.io/4Xb

As | show in https://labs.parabola.nu/issues/623#note-3 Arch's devtools includes pacman.conf files. Pacman configuration files could
be used by other libretools scripts.

History

#1 - 2014-12-21 07:16 PM - alfplayer

Also, variables at the beginning of libredbdiff should be in a configuration file (libredbdiff.conf?).
#2 - 2014-12-24 06:42 PM - alfplayer
If the directory changes, a post_upgrade warning is necessary. | recommend this:

echo "Libredbdiff configuration files are now in the directory /etc/new_dir. Directory /etc/libredbdiff is not
used anymore by Libredbdiff."

#3 - 2015-05-25 07:07 AM - lukeshu

Do it!

The golden rule, passed down to me: Do what you want, as long as you don't break anything.
(though | must confess, on occasion, | have broken things)

If you need help wrangling the Makefiles, ping me on IRC.

#4 - 2016-05-31 06:30 PM - lukeshu

- Assignee set to alfplayer

#5 - 2017-05-02 02:01 AM - lukeshu
- Target version set to 20170505

#6 - 2017-05-05 10:53 PM - lukeshu
- % Done changed from 0 to 100
- Assignee changed from alfplayer to lukeshu

- Status changed from open to fixed

In git, kinda!
